Module com.io7m.jtensors.core
Package com.io7m.jtensors.core.unparameterized.matrices

## Interface MatrixReadableDType

- All Known Subinterfaces:
    `Matrix2x2DType`, `Matrix3x3DType`, `Matrix4x4DType`, `MatrixByteBuffered2x2Type`, `MatrixByteBuffered3x3Type`, `MatrixByteBuffered4x4Type`, `MatrixReadable2x2DType`, `MatrixReadable3x3DType`, `MatrixReadable4x4DType`, `MatrixStorage2x2Type`, `MatrixStorage3x3Type`, `MatrixStorage4x4Type`, `PMatrix2x2DType<A,B>`, `PMatrix3x3DType<A,B>`, `PMatrix4x4DType<A,B>`, `PMatrixByteBuffered2x2Type<A,B>`, `PMatrixByteBuffered3x3Type<A,B>`, `PMatrixByteBuffered4x4Type<A,B>`, `PMatrixReadable2x2DType<A,B>`, `PMatrixReadable3x3DType<A,B>`, `PMatrixReadable4x4DType<A,B>`, `PMatrixStorage2x2Type<A,B>`, `PMatrixStorage3x3Type<A,B>`, `PMatrixStorage4x4Type<A,B>`
  All Known Implementing Classes:
    `Matrix2x2D`, `Matrix3x3D`, `Matrix4x4D`, `MatrixByteBuffered2x2s16`, `MatrixByteBuffered2x2s32`, `MatrixByteBuffered2x2s64`, `MatrixByteBuffered3x3s16`, `MatrixByteBuffered3x3s32`, `MatrixByteBuffered3x3s64`, `MatrixByteBuffered4x4s16`, `MatrixByteBuffered4x4s32`, `MatrixByteBuffered4x4s64`, `PMatrix2x2D`, `PMatrix3x3D`, `PMatrix4x4D`, `PMatrixByteBuffered2x2s16`, `PMatrixByteBuffered2x2s32`, `PMatrixByteBuffered2x2s64`, `PMatrixByteBuffered3x3s16`, `PMatrixByteBuffered3x3s32`, `PMatrixByteBuffered3x3s64`, `PMatrixByteBuffered4x4s16`, `PMatrixByteBuffered4x4s32`, `PMatrixByteBuffered4x4s64`

      public interface MatrixReadableDType

  The type of readable matrices with `double`-typed elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `rowColumn​(int row, int column)` |

- - ### Method Detail

    - #### rowColumn

          double rowColumn​(int row,
                           int column)

      Parameters:
        `row` - The row, starting at 0
        `column` - The column, starting at 0
      Returns:
        The value at row `row`, column `column`

Copyright © 2017 <code@io7m.com> http://io7m.com